/*
  Copyright (C) 2012  Torsten Brischalle

  This program is free software: you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation, either version 3 of the License, or
  (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program.  If not, see <http://www.gnu.org/licenses/
*/

#ifndef INTERFACEBREAKPOINTS_H
#define INTERFACEBREAKPOINTS_H

//-----------------------------------------------------------------------------

class InterfaceBreakpoints
{
public:
  virtual void ClearBreakpoints() = 0;
  virtual void ClearBreakpoint(int line) = 0;
  virtual void SetBreakpoint(int line) = 0;
  virtual bool IsBreakpoint(int line) = 0;
  virtual bool DebugEnabled() = 0;
  virtual int  CurrentLine() = 0;
};

//-----------------------------------------------------------------------------

#endif // INTERFACEBREAKPOINTS_H
