/*
  Copyright (C) 2012  Torsten Brischalle

  This program is free software: you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation, either version 3 of the License, or
  (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program.  If not, see <http://www.gnu.org/licenses/
*/

#ifndef INIT_LUA_FUNCTIONS_H
#define INIT_LUA_FUNCTIONS_H

//-----------------------------------------------------------------------------

#include <lua.h>

//-----------------------------------------------------------------------------

void register_lua_functions(lua_State *lua);

void register_int(lua_State *lua, const char *name, int value);
void register_double(lua_State *lua, const char *name, double value);

//-----------------------------------------------------------------------------

#endif
