#!/bin/sh

set -e

# debian package script
# author: Torsten Brischalle

rm -rf tmp *.deb

mkdir tmp/
mkdir tmp/usr/
mkdir tmp/usr/bin/
mkdir tmp/usr/share/
mkdir tmp/usr/share/Lua-Quick-Try-Out/
mkdir tmp/usr/share/Lua-Quick-Try-Out/doc/
mkdir tmp/usr/share/Lua-Quick-Try-Out/icons/
mkdir tmp/usr/share/Lua-Quick-Try-Out/examples/
mkdir tmp/usr/share/applications/
mkdir tmp/usr/share/icons/
mkdir tmp/usr/share/icons/hicolor/
mkdir tmp/usr/share/icons/hicolor/16x16/
mkdir tmp/usr/share/icons/hicolor/16x16/apps/
mkdir tmp/usr/share/icons/hicolor/20x20/
mkdir tmp/usr/share/icons/hicolor/20x20/apps/
mkdir tmp/usr/share/icons/hicolor/24x24/
mkdir tmp/usr/share/icons/hicolor/24x24/apps/
mkdir tmp/usr/share/icons/hicolor/32x32/
mkdir tmp/usr/share/icons/hicolor/32x32/apps/
mkdir tmp/usr/share/icons/hicolor/40x40/
mkdir tmp/usr/share/icons/hicolor/40x40/apps/
mkdir tmp/usr/share/icons/hicolor/48x48/
mkdir tmp/usr/share/icons/hicolor/48x48/apps/
mkdir tmp/usr/share/icons/hicolor/64x64/
mkdir tmp/usr/share/icons/hicolor/64x64/apps/
mkdir tmp/DEBIAN/

cp ../Lua-Quick-Try-Out   		tmp/usr/bin/
cp ../doc/func_doc.html   		tmp/usr/share/Lua-Quick-Try-Out/doc/
cp ../icons/*             		tmp/usr/share/Lua-Quick-Try-Out/icons/
cp ../examples/*.lua      		tmp/usr/share/Lua-Quick-Try-Out/examples/
cp control copyright 					tmp/DEBIAN/
cp lua-quick-try-out.desktop	tmp/usr/share/applications/

convert -resize 64x64 ../icons/Lua-Quick-Try-Out.png tmp/usr/share/icons/hicolor/64x64/apps/lua-quick-try-out.png
convert -resize 48x48 ../icons/Lua-Quick-Try-Out.png tmp/usr/share/icons/hicolor/48x48/apps/lua-quick-try-out.png
convert -resize 40x40 ../icons/Lua-Quick-Try-Out.png tmp/usr/share/icons/hicolor/40x40/apps/lua-quick-try-out.png
convert -resize 32x32 ../icons/Lua-Quick-Try-Out.png tmp/usr/share/icons/hicolor/32x32/apps/lua-quick-try-out.png
convert -resize 24x24 ../icons/Lua-Quick-Try-Out.png tmp/usr/share/icons/hicolor/24x24/apps/lua-quick-try-out.png
convert -resize 20x20 ../icons/Lua-Quick-Try-Out.png tmp/usr/share/icons/hicolor/20x20/apps/lua-quick-try-out.png
convert -resize 16x16 ../icons/Lua-Quick-Try-Out.png tmp/usr/share/icons/hicolor/16x16/apps/lua-quick-try-out.png

fakeroot dpkg -b tmp lua-quick-try-out-1.1.1-i386.deb

rm -rf tmp


