
#include "myscintilla.h"

#include <QWheelEvent>

//-----------------------------------------------------------------------------

MyScintilla::MyScintilla(QWidget *parent)
: QsciScintilla(parent)
{
}

//-----------------------------------------------------------------------------

void MyScintilla::wheelEvent(QWheelEvent* event)
{
  if (event->modifiers() & Qt::ControlModifier)
  {
    if (event->delta() > 0)
    {
      // zoom in
      zoomIn();
    }
    else
    {
      // zoom out
      zoomOut();
    }
  }
  else
  {
    QsciScintilla::wheelEvent(event);
  }
}

//-----------------------------------------------------------------------------
